## com.ziclix.python.sql
Class WarningEvent

    java.lang.Object
      java.util.EventObject
          com.ziclix.python.sql.WarningEvent

All Implemented Interfaces:
  Serializable

    public class WarningEvent

extends EventObject

An event signalling the a SQLWarning was encountered while building results from a ResultSet.

See Also:
  Serialized Form

Constructor Summary
`WarningEvent(Object source, SQLWarning warning)`

Method Summary
`SQLWarning` `getWarning()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WarningEvent

    public WarningEvent(Object source,
                        SQLWarning warning)

Method Detail

### getWarning

    public SQLWarning getWarning()

Jython homepage